# Uses of Class
org.eclipse.emf.cdo.lm.client.LMImporter.ImportModule

Packages that use LMImporter.ImportModule
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of LMImporter.ImportModule in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return LMImporter.ImportModule
Modifier and Type
Method
Description
`LMImporter.ImportModule`
LMImporter.`addModule(String moduleName, URI rootURI)`
`LMImporter.ImportModule`
LMImporter.`getModule(String name)`
`LMImporter.ImportModule`
LMImporter.ImportElement.`getModule()`
`LMImporter.ImportModule`
LMImporter.ImportResolution.ModuleInfo.`getModule()`
Methods in org.eclipse.emf.cdo.lm.client that return types with arguments of type LMImporter.ImportModule
Modifier and Type
Method
Description
`Set<LMImporter.ImportModule>`
LMImporter.ImportModule.`getDependencies()`
`Set<LMImporter.ImportModule>`
LMImporter.ImportModule.`getExtraDependencies()`
`Map<String,LMImporter.ImportModule>`
LMImporter.`getModules()`
`Set<LMImporter.ImportModule>`
LMImporter.ImportModule.`getResolvedDependencies()`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type LMImporter.ImportModule
Modifier and Type
Method
Description
`void`
LMImporter.ImportModule.`addExtraDependency(LMImporter.ImportModule extraDependency)`
`LMImporter.ImportResolution.ModuleInfo`
LMImporter.ImportResolution.`getModuleInfo(LMImporter.ImportModule module)`